Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452379 - OpenOffice.org 2.4.1 Serbian Latin (sh) Localization
Summary: OpenOffice.org 2.4.1 Serbian Latin (sh) Localization
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 17:30 UTC by Goran Rakic
Modified: 2008-09-10 06:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 06:39:29 UTC


Attachments (Terms of Use)
OOo 2.4.1 Serbian Latin (sh) Localization (deleted)
2008-06-21 17:30 UTC, Goran Rakic
no flags Details

Description Goran Rakic 2008-06-21 17:30:58 UTC
SDF file for upstream OOH680_m17 is attached.

Comment 1 Goran Rakic 2008-06-21 17:30:58 UTC
Created attachment 309976 [details]
OOo 2.4.1 Serbian Latin (sh) Localization

Comment 2 Miloš Komarčević 2008-06-21 18:11:33 UTC
We might have a potential problem with the packager's policy for this one since
"sh" does not exist as a locale in glibc, see bug 177933, comment 1

We could try asking again, maybe best to bundle with openoffice.org-langpack-sr?

Ideally we'd have the same locale labels across glibc, X, OOo, Mozilla, etc.,
but I don't see this happening any time soon...

Comment 3 Goran Rakic 2008-06-21 18:26:04 UTC
If shipped as "sh", it would be impossible for user to get this package
installed through language configuration tool or to start OpenOffice.org with
non-existing "sh locale", so that is not an option.

Can this "sh locale" be repackaged as sr@latin package? Then user will get this
package with other Serbian Latin l10n packages, but he/she will have to select
"Serbian Latin" in OOo Tools->Configuration->Languages for localization to be
displayed. Still better than not shipping any or shipping it with Cyrillic
localization that some users don't like to have or use.

Comment 4 Miloš Komarčević 2008-06-29 14:00:27 UTC
Since OOo expects only "sh", I guess it would be best just to bundle it in the
existing langpack-sr package if possible, and let the user handle the rest.

Comment 5 Caolan McNamara 2008-07-07 13:13:40 UTC
ok, I'll stick them together into the single langpack-sr.

Comment 6 Fedora Update System 2008-08-07 11:06:31 UTC
openoffice.org-2.4.1-17.5.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-08-12 18:26:17 UTC
openoffice.org-2.4.1-17.5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7220

Comment 8 Miloš Komarčević 2008-08-15 19:14:33 UTC
My updates mirror just got it, sh localization works and looks good so far, thanks Caolan.

Goran, anything in particular you'd like to get tested since you don't run Fedora?

Comment 9 Goran Rakic 2008-08-15 21:15:28 UTC
Milos, can you check if Numbering and bullets dialog looks like on this screenshot (notice cyrillic numbering in the options) under "sh" and "sr" locales?

Another thing to check is ICU sorting customization. Enter some data in Calc, select Serbian Latin as language in Format -> Cells... dialog and check how sorting works. It should be like on this screenshot http://ooo.matf.bg.ac.yu/calc_icu_sort3.png

Thanx to both of you.

Comment 10 Fedora Update System 2008-08-28 07:47:31 UTC
openoffice.org-2.4.1-17.6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/openoffice.org-2.4.1-17.6.fc9

Comment 11 Fedora Update System 2008-09-10 06:39:01 UTC
openoffice.org-2.4.1-17.6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.